%define upstream_name	 Gtk3
%define	upstream_version 0.038

%define perl_glib_require 1.280

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Test::Simple\\)

%bcond_with debug

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for the GTK+-3.x library
License:    LGPLv2+
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    https://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
# helper for exception management:
Patch1:     exceptions.diff
# set up GdkX11:
Patch6:     GdkX11.diff
#Patch7: gio.diff

BuildArch:  noarch

BuildRequires: perl(Cairo::GObject) >= 1.0.0
BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Glib::Object::Introspection) >= 0.43.0
BuildRequires: perl(Test::Simple) >= 0.960.0
BuildRequires: perl-devel
%if %with debug
BuildRequires: x11-server-xvfb
%endif
# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires: pkgconfig(gobject-introspection-1.0)
# for test suite:
#BuildRequires: x11-server-xvfb
BuildRequires: typelib(Gtk) = 3.0
Requires:   typelib(Gtk) = 3.0
Requires:   typelib(Gdk) = 3.0
Requires:   typelib(Pango) = 1.0
# For exception handling:
Requires:   perl(Glib) >= 1.302.0-6
%description
This module provides perl access to the GTK+-3.x library.

GTK+ is the GIMP ToolKit, a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1
rm -f lib/Gtk3.pm.*
perl Makefile.PL INSTALLDIRS=vendor

%build
%make_build OPTIMIZE="%{optflags}"

%install
%make_install

%if %with debug
%check
# (TV) Test suite won't work in iurt (not enough stuff configured):
xvfb-run make test
%endif

%files
%doc LICENSE META.json META.yml MYMETA.yml NEWS README
%{perl_vendorlib}/%{upstream_name}.pm
%_mandir/*/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.38.0-2.mga9
+ Revision: 1813959
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.38.0-1.mga9
+ Revision: 1690225
- update to 0.038

* Wed Mar 18 2020 tv <tv> 0.37.0-1.mga8
+ Revision: 1557622
- update to 0.037

* Sun Feb 16 2020 umeabot <umeabot> 0.36.0-2.mga8
+ Revision: 1530220
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 tv <tv> 0.36.0-1.mga8
+ Revision: 1434686
- update to 0.036

* Mon Aug 26 2019 tmb <tmb> 0.35.0-2.mga8
+ Revision: 1432577
- rebuild for perl 5.30

* Sat Jun 29 2019 tv <tv> 0.35.0-1.mga8
+ Revision: 1415958
- update to 0.035

* Thu Sep 20 2018 umeabot <umeabot> 0.34.0-3.mga7
+ Revision: 1283952
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 0.34.0-2.mga7
+ Revision: 1250626
- rebuild for perl-5.28

* Wed May 23 2018 tv <tv> 0.34.0-1.mga7
+ Revision: 1231834
- update to 0.034

* Mon Nov 06 2017 tv <tv> 0.33.0-1.mga7
+ Revision: 1176179
- update to 0.033

* Sat Jul 22 2017 neoclust <neoclust> 0.32.0-2.mga7
+ Revision: 1128299
- Rebuild against new perl

* Mon Jul 17 2017 tv <tv> 0.32.0-1.mga7
+ Revision: 1124082
- new release

* Tue Apr 25 2017 tv <tv> 0.31.0-1.mga6
+ Revision: 1097341
- new release

* Thu Nov 24 2016 tv <tv> 0.30.0-2.mga6
+ Revision: 1070064
- xvfb-run is broken again
- new release
- drop merged patch

* Fri Sep 30 2016 tv <tv> 0.29.0-1.mga6
+ Revision: 1057930
- new release

* Thu Sep 01 2016 tv <tv> 0.28.0-1.mga6
+ Revision: 1049704
- new release

* Thu May 12 2016 tv <tv> 0.26.0-3.mga6
+ Revision: 1014132
- adjust BR for testsuite
- try re-enabling testsuite
- use std build macros

* Wed Mar 16 2016 tv <tv> 0.26.0-2.mga6
+ Revision: 991892
- rediff unappliable patch 1
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 01 2015 tv <tv> 0.26.0-1.mga6
+ Revision: 907443
- new release

* Fri Oct 02 2015 tv <tv> 0.25.0-2.mga6
+ Revision: 885630
- exclude requires on Test::Simple

* Thu Oct 01 2015 tv <tv> 0.25.0-1.mga6
+ Revision: 885571
- new release

* Mon Aug 10 2015 tv <tv> 0.23.0-1.mga6
+ Revision: 862434
- new release

* Wed Jul 15 2015 sander85 <sander85> 0.22.0-1.mga6
+ Revision: 854342
- update to 0.022

* Sun Jun 21 2015 tv <tv> 0.21.0-1.mga6
+ Revision: 837559
- new release

* Wed Nov 26 2014 tv <tv> 0.19.0-1.mga5
+ Revision: 799377
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.18.0-2.mga5
+ Revision: 747398
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.18.0-1.mga5
+ Revision: 733738
- new release

* Tue Sep 16 2014 umeabot <umeabot> 0.17.0-2.mga5
+ Revision: 684921
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Thu Jul 03 2014 tv <tv> 0.17.0-1.mga5
+ Revision: 642677
- new release
- drop merged patch

* Thu Jun 26 2014 tv <tv> 0.16.0-2.mga5
+ Revision: 639893
- perl-5.20 fixes from git

* Wed Feb 19 2014 tv <tv> 0.16.0-1.mga5
+ Revision: 594912
- new release

* Fri Dec 20 2013 tv <tv> 0.15.0-3.mga4
+ Revision: 559180
- do not setup introspection for Gio by default (unused & increase RSS by 4Mb)

* Mon Dec 16 2013 tv <tv> 0.15.0-2.mga4
+ Revision: 557360
- require new enough Glib for exception handling (mga#12001)

* Sat Dec 14 2013 tv <tv> 0.15.0-1.mga4
+ Revision: 556805
- new release

* Tue Dec 03 2013 tv <tv> 0.14.0-9.mga4
+ Revision: 554748
- add Gtk3::Widget::render_icon() overrides for rpmdrake

* Mon Dec 02 2013 tv <tv> 0.14.0-8.mga4
+ Revision: 554669
- fix a regression in callback exception management

* Fri Nov 22 2013 tv <tv> 0.14.0-7.mga4
+ Revision: 552342
- set up GdkX11 & Gio

* Wed Nov 13 2013 tv <tv> 0.14.0-6.mga4
+ Revision: 550923
- drop some uneeded overrides

* Tue Nov 12 2013 tv <tv> 0.14.0-5.mga4
+ Revision: 550649
- add Pango::Layout::set_text override
- drop no more needed setter overrides

* Thu Nov 07 2013 tv <tv> 0.14.0-4.mga4
+ Revision: 549899
- add overrides for installer summary/services

* Thu Nov 07 2013 tv <tv> 0.14.0-3.mga4
+ Revision: 549862
- call handle_one_exception() on class

* Thu Nov 07 2013 tv <tv> 0.14.0-2.mga4
+ Revision: 549854
- patch 0: add an helper for exception management

* Wed Oct 30 2013 tv <tv> 0.14.0-1.mga4
+ Revision: 547986
- new release
- add more overrides

* Mon Oct 21 2013 umeabot <umeabot> 0.13.0-2.mga4
+ Revision: 538570
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 tv <tv> 0.13.0-1.mga4
+ Revision: 489942
- new release

* Tue Oct 01 2013 tv <tv> 0.12.0-1.mga4
+ Revision: 489933
- new release
- drop patches 1 & 2: gtk+3.10 has needed annotations

* Sun Sep 01 2013 tv <tv> 0.11.0-1.mga4
+ Revision: 474084
- new release
- fix more default values

* Thu Feb 14 2013 tv <tv> 0.9.0-1.mga3
+ Revision: 398493
- new release
- fix license: s/GPL/LGPL/

* Sun Feb 10 2013 tv <tv> 0.8.0-5.mga3
+ Revision: 397753
- more fixes
- rpmlint cleanups

* Fri Feb 08 2013 tv <tv> 0.8.0-4.mga3
+ Revision: 396300
- more fixes

* Sun Feb 03 2013 tv <tv> 0.8.0-3.mga3
+ Revision: 394272
- disable testsuite in iurt (needs too much config)
- patch 0: fixes from git
- patch 1: more compat with Gtk2
- run testsuite
+ fwang <fwang>
- add br for test

* Sun Jan 13 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 367971
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 tv <tv> 0.8.0-1.mga3
+ Revision: 284299
- new release

* Thu Jul 12 2012 jquelin <jquelin> 0.7.0-1.mga3
+ Revision: 270275
- update to 0.007

* Tue Jun 05 2012 jquelin <jquelin> 0.6.0-1.mga3
+ Revision: 254966
- update to 0.006

* Mon Mar 26 2012 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 226726
- new version 0.004

* Sun Jan 15 2012 tv <tv> 0.3.0-1.mga2
+ Revision: 196302
- new release

* Fri Dec 09 2011 kharec <kharec> 0.2.0-1.mga2
+ Revision: 179658
- New version 0.002

* Thu Nov 03 2011 fwang <fwang> 0.1.0-2.mga2
+ Revision: 161972
- add requires on typelib

* Sat Oct 15 2011 tv <tv> 0.1.0-1.mga2
+ Revision: 155433
- imported package perl-Gtk3

